cascading.flow.hadoop.util

## Class HadoopMRUtil

- java.lang.Object
- - cascading.flow.hadoop.util.HadoopMRUtil

-     public class HadoopMRUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopMRUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<Path,Path>` | `addToClassPath(Configuration config, List<String> classpath)` Add to class path.
    `static boolean` | `hasReducer(JobConf jobConf)`
    `static String` | `readStateFromDistCache(JobConf jobConf, String id, String kind)`
    `static String` | `writeStateToDistCache(JobConf conf, String id, String kind, String stepState)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopMRUtil

          public HadoopMRUtil()

  - ### Method Detail

    - #### writeStateToDistCache

          public static String writeStateToDistCache(JobConf conf,
                                     String id,
                                     String kind,
                                     String stepState)

    - #### readStateFromDistCache

          public static String readStateFromDistCache(JobConf jobConf,
                                      String id,
                                      String kind)
                                               throws IOException

      Throws:
        `IOException`

    - #### addToClassPath

          public static Map<Path,Path> addToClassPath(Configuration config,
                                      List<String> classpath)

      Add to class path.
      Parameters:
        `config` - the config
        `classpath` - the classpath

    - #### hasReducer

          public static boolean hasReducer(JobConf jobConf)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.